Skip to content

List Partner Transactions

Request

Returns a list of pocket transactions. It does not include transactions between the bank account and brokerage account.

Security
HTTPBearer
Query
cursorstring(Cursor)
Default:""
limitinteger, > 0(Limit)
Default:30
orderstring(Order)
Default:"desc"
Enum:"desc""asc"
directionstring or null(Direction)
Any of:
string
Enum:"DEBIT""CREDIT"
amount_frominteger or null(Amount From)
Any of:
integer
amount_tointeger or null(Amount To)
Any of:
integer
filter[card]Array of strings or null(Filter[Card])
Any of:
Array of strings (uuid)
filter[portal]Array of strings or null(Filter[Portal])
Any of:
Array of strings (uuid)
filter[type]Array of strings or null(Filter[Type])
Any of:
Array of strings
filter[on_us_transfer]Array of strings or null(Filter[On Us Transfer])
Any of:
Array of strings (uuid)
filter[wire]Array of strings or null(Filter[Wire])
Any of:
Array of strings (uuid)
time_booked_fromstring or null(Time Booked From)
Any of:
string (date-time)
time_booked_tostring or null(Time Booked To)
Any of:
string (date-time)
time_settled_fromstring or null(Time Settled From)
Any of:
string (date-time)
time_settled_tostring or null(Time Settled To)
Any of:
string (date-time)
include_sweepsboolean or null(Include Sweeps)
Any of:
boolean
Headers
x-jiko-idempotencystring, (uuid)(X-Jiko-Idempotency)required
x-jiko-signaturestring(X-Jiko-Signature)required
curl -i -X GET \
  'https://your-partner-name.partner-api.jikoservices.com/api/v2/transactions/?cursor=&limit=30&order=desc&direction=DEBIT&amount_from=0&amount_to=0&filter%5Bcard%5D=497f6eca-6276-4993-bfeb-53cbbbba6f08&filter%5Bportal%5D=497f6eca-6276-4993-bfeb-53cbbbba6f08&filter%5Btype%5D=ACH&filter%5Bon_us_transfer%5D=497f6eca-6276-4993-bfeb-53cbbbba6f08&filter%5Bwire%5D=497f6eca-6276-4993-bfeb-53cbbbba6f08&time_booked_from=2019-08-24T14%3A15%3A22Z&time_booked_to=2019-08-24T14%3A15%3A22Z&time_settled_from=2019-08-24T14%3A15%3A22Z&time_settled_to=2019-08-24T14%3A15%3A22Z&include_sweeps=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'x-jiko-idempotency: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'x-jiko-signature: string'

Responses

Successful Response

Bodyapplication/json
prev_pagestring or null(Prev Page)
Any of:
string
next_pagestring or null(Next Page)
Any of:
string
itemsArray of any(Items)required
object_typestring(Object Type)
Default:"CursorList"
Response
{ "prev_page": "cj0xJnA9MjAyMi0xMi0yMSsxNyUzQTIyJTNBMDguNjc5MzQ5JTJCMDAlM0EwMA==", "next_page": "cD0yMDIyLTEyLTE5KzE5JTNBNTQlM0EyNy4xODMyNzglMkIwMCUzQTAw", "items": [ {} ], "object_type": "CursorList" }